package projectzombie.util.math.random;

public class NoiseGeneratorSimplex implements NoiseGenerator
{
	private OpenSimplexNoise simplex;
	
	public NoiseGeneratorSimplex(long seed) {
		simplex = new OpenSimplexNoise(seed);
	}
	
	@Override
	public double eval(double x, double y) {
		return simplex.eval(x, y);
	}
	
	@Override
	public double eval(double x, double y, double z) {
		return simplex.eval(x, y, z);
	}
}
